<odoo>
    <record model="ir.ui.view" id="mrp_production_workorder_form_view_inherit_production">
        <field name="name">mrp.production.workorder.form.view.inherit.production</field>
        <field name="model">mrp.workorder</field>
        <field name="inherit_id" ref="mrp.mrp_production_workorder_form_view_inherit"/>
        <field name="arch" type="xml">
            <xpath expr="//sheet/group[2]/group[2]/field[@name='production_id']" position="after">
                <field name="product_sources_id" invisible="1"/>
                <field name="production_sources_id" invisible="1"/>
                <field name="bending_radius" invisible="1"/>
                <field name="sale_date" invisible="1"/>
                <field name="material_ids" invisible="1"/>
                <field name="sale_order_id" invisible="1"/>
            </xpath>
        </field>
    </record>

    <record model="ir.ui.view" id="mrp_production_workorder_tree_view_inherit">
        <field name="name">mrp.production.workorder.tree.view.inherit</field>
        <field name="model">mrp.workorder</field>
        <field name="inherit_id" ref="mrp.mrp_production_workorder_tree_view"/>
        <field name="arch" type="xml">
            <xpath expr="//field[@name='production_id']" position="after">
                <field name="sale_order_id" optional="hide"/>
                <field name="sale_date" optional="hide"/>
                <field name="product_sources_id" optional="hide"/>
                <field name="production_sources_id" optional="hide"/>
                <field name="bending_radius" optional="hide"/>
            </xpath>
        </field>
    </record>

        <record model="ir.ui.view" id="search_mrp_production_workorder_filter">
        <field name="name">search.mrp.production.workorder.filter</field>
        <field name="model">mrp.workorder</field>
        <field name="inherit_id" ref="mrp.view_mrp_production_workorder_form_view_filter"/>
        <field name="arch" type="xml">
            <xpath expr="//field[@name='workcenter_id']" position="after">
                <field name="sale_order_id"/>
                <field name="user_id"/>
                <field name="product_sources_id"/>
                <field name="production_sources_id"/>
                <field name="bending_radius"/>
                <field name="sale_date"/>
                <field name="material_ids" string="Материалы"/>
            </xpath>
            <xpath expr="//group/filter[@name='work_center']" position="after">
                <filter string="Sale Order" name="sale_order" domain="[]" context="{'group_by': 'sale_order_id'}"/>
                <filter string="Executor" name="user_executor" domain="[]" context="{'group_by': 'user_id'}"/>
                <filter string="Main manufactured product" name="product_sources" domain="[]" context="{'group_by': 'product_sources_id'}"/>
                <filter string="Main manufactured production" name="production_sources" domain="[]" context="{'group_by': 'production_sources_id'}"/>
                <filter string="Bending radius" name="bending_radius" domain="[]" context="{'group_by': 'bending_radius'}"/>
                <filter string="Date Sale Order" name="scheduled_month" domain="[]" context="{'group_by': 'sale_date'}"/>
                <filter string="Material" name="material" domain="[]" context="{'group_by': 'material_ids'}"/>
            </xpath>
        </field>
    </record>
</odoo>